import React from 'react';
import { render, screen } from '@testing-library/react';
import { ValueChip } from './ValueChip';
describe('ValueChip tests', function () {
    it('should render main parts', function () {
        var label = '123';
        var container = render(React.createElement(ValueChip, { label: label })).container;
        expect(screen.getByText('123')).toBeInTheDocument();
        expect(container.querySelector('.count')).toBeNull();
    });
    it('should render main parts with count', function () {
        var label = '123';
        var count = '15K';
        render(React.createElement(ValueChip, { label: label, count: count }));
        expect(screen.getByText('123')).toBeInTheDocument();
        expect(screen.getByText('15K')).toHaveClass('count');
    });
});
